Redmine - Defect #2841

View overriding code isn't working for plugins
2009-02-25 22:21 - Chris Peterson

Status: Closed Start date: 2009-02-25
Priority: Normal Due date:

Assignee: Eric Davis % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

| have created an empty plugin. | have added the file index.rhtml with some changes to my_plugin/app/views/projects/index.rhtml.
The plugin shows up on the Admin -> Plugins page. However | do not see the changes when | goto Projects. | migrated the plugin
database and restarted redmine to no avail. Is there an extra step that | am missing?

output of svn info:

Path:

URL: http://redmine.rubyforge.org/svn/trunk

Repository Root: http://redmine.rubyforge.org/svn

Repository UUID: e93f8b46-1217-0410-a6f0-8£f06a7374b81

Revision: 2521

Node Kind: directory

Schedule: normal

Last Changed Author: jplang

Last Changed Rev: 2520

Last Changed Date: 2009-02-23 12:35:16 -0500 (Mon, 23 Feb 2009)

Forum Discussion: http://www.redmine.org/boards/3/topics/show/4283

Plugin is attached. If the plugin works properly, the projects page will change to have the description next to the projects in a table
instead of below the projects. Also the ability to access all issues and activities has been removed.

Associated revisions

Revision 2525 - 2009-02-26 09:59 - Jean-Philippe Lang
Applies r1723 on Engines update to allow view override (#2841).

History

#1 - 2009-02-25 23:32 - Eric Davis
- Status changed from New to 7

- Assignee set to Eric Davis

I'll take a look at this one. Doesn't look like my custom design is being applied either. Guessing the view override changes to Engines didn't get
merged in with Rails 2.2.x

#2 - 2009-02-26 09:58 - Jean-Philippe Lang
- Status changed from 7 to Closed

- Resolution set to Fixed

Fixed in r2525.

#3 - 2010-02-25 13:01 - Jérémie Delaitre

- Status changed from Closed to Reopened

| have tried the plugin on Redmine 0.9.2 (debian package) without success.
Is there any rake command to call to allow view overriding or is view overriding working differently in 0.9 ?
http://www.redmine.org/boards/3/topics/show/4283
https://www.redmine.org/projects/redmine/repository/svn/revisions/2525

#4 - 2010-02-28 05:41 - Eric Davis

- Status changed from Reopened to Closed

View overriding is working in 0.9. The Debian package uses a patched Redmine using a different version of Rails and the Rails Engine which might
have broken this.

Files
redmine_projects_view_override.zip 4.24 KB 2009-02-25 Chris Peterson
